Jump to content

[Gentoo] Problème suite à des MAJ(s) (Résolu)


Recommended Posts

Bonjour à tous !

J'ai voulu mettre à jour Glib, puis expat.

Depuis, impossible de dmarrer n'importe quel programme Gnome ou KDE....

On m'a dit d'utiliser la commande revdep-rebuild, qui est sensé réparer les erreurs.

Cependant, quand il compile, il s'arrête puisque expat le bloque....

J'ai bien essayé un revdep-rebuild --library libexpat.so.0, mais toujours le même problème lors de la compilation.

Savez-vous ce que je dois faire, car je suis un peu perdu.

Merci de votre aide

Link to comment
Share on other sites

Étant passer en ~arch récemment j'ai eu le problème.

J'ai fait ça un peu à la bourrin mais en gros j'ai unmergé les paquets bloquants du revdep-rebuild, revdep-rebuildé puis emergé ceux que j'avais viré.

Et ça a marché :)

Link to comment
Share on other sites

La j'ai kdepim-kresources, qui bloque.

En effet, même si je le supprime (unmerge), il veut impérativement s'installer avec le revdep-rebuild.

Si je supprime le dossier contenant les ebuild(s), ca me dit qu'il n'existe pas d'ebuild pour kdepim-kresources, et revdep stoppe net.

Savez-vous que faire ?

Link to comment
Share on other sites

J'ai eu aussi pas mal de pb avec des emerge en passant en ~arch il y a peu ...

J'avais utilisé une méthode encore + bourrin ...

#emerge -u --skipfirst world

Emerge à partir du 2ème paquet, en zappant le 1er (si celui-ci bloque ...).

Ca a finit par marcher :chinois:

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...